Docs

Public Webhooks

List webhooks

GET
/api/public/v1/webhooks

Authorization

apiKey
headerx-api-key<token>

Response Body

Webhooks fetched successfully.

application/json
  1. response
webhooks*array<>
curl -X GET "https://example.com/api/public/v1/webhooks"
{  "webhooks": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "url": "string",      "events": [        "string"      ],      "isActive": true,      "createdAt": "string"    }  ]}

Register a webhook

POST
/api/public/v1/webhooks

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
url*string
Formaturi
events*array<>
Items1 <= items
secret?string
Length1 <= length <= 256

Response Body

Webhook registered successfully.

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
url*string
events*array<string>
isActive*boolean
createdAt*string
curl -X POST "https://example.com/api/public/v1/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "events": [      "generation.completed"    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "url": "string",  "events": [    "string"  ],  "isActive": true,  "createdAt": "string"}

Delete a webhook

DELETE
/api/public/v1/webhooks/{webhookId}

Authorization

apiKey
headerx-api-key<token>

Path Parameters

webhookId*string

Response Body

Webhook deleted.

curl -X DELETE "https://example.com/api/public/v1/webhooks/string"
Empty
Public Webhooks | Encelade Documentation